Page MenuHomePhabricator

Auto-save multiple previous versions of the same translation until it's published to avoid data loss
Closed, InvalidPublic

Description

This is closely related to T113218; implementing this may make T113218 obsolete.

We have repeated reports of data loss - translations that were in progress and disappeared. Fixing T106424 resolved some of these issues, but probably not all.

While it would probably be too challenging to save every single change to a translation, like Etherpad or Google Docs, it shouldn't be too hard to auto-save an article multiple times and keep the saved translations at least until publishing. In this case, if a bug causes paragraphs from a good in-progress translation to be deleted or overwritten by an empty auto-saved version, it will be at least possible to restore a previously saved revision.

Something like this is done in WordPress - it auto-saves a post that is being edited every minute or so.

Event Timeline

Amire80 created this task.Sep 21 2015, 10:59 AM
Amire80 raised the priority of this task from to High.
Amire80 updated the task description. (Show Details)
Amire80 added subscribers: Arrbee, santhosh, Amire80 and 2 others.

We need to find the root cause before going in this direction. It is a non-trivial architecture change to save revisions of drafts.

Amire80 moved this task from Needs Triage to CX7 on the ContentTranslation board.Oct 1 2015, 4:39 PM
Amire80 set Security to None.

This is most likely going to be superseded by the parallel corpora work where we go to section level saving.

Would be nice for such autosave features to be in core.

santhosh closed this task as Invalid.Jan 11 2016, 6:52 PM
santhosh claimed this task.

We are moving towards per section saving as part of ongoing parallel corpora work. The above approach no longer applies now.